Package wx :: Package lib :: Package agw :: Module pycollapsiblepane :: Class PyCollapsiblePane

[frames | no frames]

## Type PyCollapsiblePane

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                     PyControl --+
                                 |
                                PyCollapsiblePane

Method Summary
| ``__init__`(self, parent, id, label, pos, size, style, val, name)` Default class constructor.
| ``Collapse`(self, collapse)` Collapses or expands the pane window.
| `DoGetBestSize(self)`
| ``Expand`(self)` Same as Collapse(False).
| ``GetBorder`(self)` Returns the PyCollapsiblePane border (platform dependent).
| ``GetBtnLabel`(self)` Returns the button label.
| `GetExpanderDimensions(self)`
| ``GetPane`(self)` Returns a reference to the pane window.
| ``IsCollapsed`(self)` Returns True if the pane window is currently hidden.
| ``IsExpanded`(self)` Returns True if the pane window is currently shown.
| ``Layout`(self)` Layout the PyCollapsiblePane.
| ``OnButton`(self, event)` Handles the wx.EVT_BUTTON event for PyCollapsiblePane.
| ``OnDrawGTKExpander`(self, dc)` Overridable method to draw the GTK-style expander.
| ``OnDrawGTKStyle`(self, event)` Drawing routine to paint the GTK-style expander.
| ``OnDrawGTKText`(self, dc)` Overridable method to draw the PyCollapsiblePane text in the expander.
| ``OnSize`(self, event)` Handles the wx.EVT_SIZE event for PyCollapsiblePane.
| ``OnStateChange`(self, sz)` Handles the status changes (collapsing/expanding).
| ``SetButton`(self, button)` Assign a new button to PyCollapsiblePane.
| `SetExpanderDimensions(self, width, height)`
| ``SetLabel`(self, label)` Sets the button label.

Property Summary

Instance Method Details

### __init__(self, parent, id=-1, label='', pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=2621440, val=<wx._core.Validator; proxy of <Swig Object of type 'wxVal..., name='CollapsiblePane')
(Constructor)

Default class constructor.

@param parent: Parent window, must not be non-NULL. @param id: The identifier for the control. @param label: The initial label shown in the button which allows the user to expand or collapse the pane window. @param pos: Initial position. @param size: Initial size. @param style: The window style, see wx.CP_* flags. @param validator: Validator which can be used for additional data checks. @param name: Control name.

  Overrides:
    `wx.PyControl.__init__`

### Collapse(self, collapse=True)

Collapses or expands the pane window.

### Expand(self)

Same as Collapse(False).

### GetBorder(self)

Returns the PyCollapsiblePane border (platform dependent).

  Overrides:
    `wx.Window.GetBorder`

### GetBtnLabel(self)

Returns the button label.

### GetPane(self)

Returns a reference to the pane window. Use the returned wx.Window as the parent of widgets to make them part of the collapsible area.

### IsCollapsed(self)

Returns True if the pane window is currently hidden.

### IsExpanded(self)

Returns True if the pane window is currently shown.

### Layout(self)

Layout the PyCollapsiblePane.

  Overrides:
    `wx.Window.Layout`

### OnButton(self, event)

Handles the wx.EVT_BUTTON event for PyCollapsiblePane.

### OnDrawGTKExpander(self, dc)

Overridable method to draw the GTK-style expander.

### OnDrawGTKStyle(self, event)

Drawing routine to paint the GTK-style expander.

### OnDrawGTKText(self, dc)

Overridable method to draw the PyCollapsiblePane text in the expander.

### OnSize(self, event)

Handles the wx.EVT_SIZE event for PyCollapsiblePane.

### OnStateChange(self, sz)

Handles the status changes (collapsing/expanding).

### SetButton(self, button)

Assign a new button to PyCollapsiblePane. This button can be the standard wx.Button or any of the generic implementations which live in wx.lib.buttons.

### SetLabel(self, label)

Sets the button label.

  Overrides:
    `wx.Window.SetLabel`

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:31 2009 | http://epydoc.sf.net